FreeBSD : FreeBSD -- bhyve - privilege escalation vulnerability (a479a725-9adb-11e6-a298-14dae9d210b8)

High Nessus Plugin ID 94263


The remote FreeBSD host is missing a security-related update.


An unchecked array reference in the VGA device emulation code could potentially allow guests access to the heap of the bhyve process.
Since the bhyve process is running as root, this may allow guests to obtain full control of the hosts they are running on. Impact : For bhyve virtual machines with the 'fbuf' framebuffer device configured, if exploited, a malicious guest could obtain full access to not just the host system, but to other virtual machines running on the system.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 94263

File Name: freebsd_pkg_a479a7259adb11e6a29814dae9d210b8.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2016/10/26

Modified: 2016/10/26

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:FreeBSD-kernel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info, Settings/ParanoidReport

Patch Publication Date: 2016/10/25

Vulnerability Publication Date: 2016/10/25

Reference Information

FreeBSD: SA-16:32.bhyve